commit:     f15a4cb4104d064ca4d19396325e5d58c015ee92
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  1 22:35:59 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Tue Mar  1 22:36:27 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f15a4cb4

dev-python/blaze: Bump

Package-Manager: portage-2.2.27

 dev-python/blaze/Manifest           |  1 +
 dev-python/blaze/blaze-0.9.1.ebuild | 83 +++++++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/dev-python/blaze/Manifest b/dev-python/blaze/Manifest
index f383712..2c9b29d 100644
--- a/dev-python/blaze/Manifest
+++ b/dev-python/blaze/Manifest
@@ -1,3 +1,4 @@
 DIST blaze-0.7.1.tar.gz 760204 SHA256 
2ea89bd0736530731643bf4a8f16b955b2e3bdcc2a36155af085385f6d10cd5b SHA512 
cb94a4a58835bc120fc19810be03104ba9ad0b3cbc4ec6667b35b09ac9c7376934c03e897dfbeebf4161b227dac03cbd082067fba896bc07ace4dfbf21985b3f
 WHIRLPOOL 
d52b700c0127bebed2face3d3cd45436c8d2cc8b0485992f4c1b7a2f3582fdee65f55b3770a60697dd64e55008bbc1ea28a5238197daac8455c3f0ff80fbf58f
 DIST blaze-0.8.0.tar.gz 6718278 SHA256 
0ec507286a15eb18ccbf87d007c88cfe9d5f254f539687455b6216cd0dc667b6 SHA512 
067032d50bdd91d9beddbf6329289d00b633003f8c114e47d01b439f35d68c44f285bd9f67283f79987ab166ece0ffa8bac62444e36803f8a47108a2de847ed5
 WHIRLPOOL 
c0e28d88fea84b1c67213b5572d19623a7cffa76a14da57eb950483013a922798dad512177e8383308d60fbac178176dd8ef05b7c168e562291ee9c4bfa5aa0c
 DIST blaze-0.8.2.tar.gz 9845331 SHA256 
1f5a1dd306661a7493c95daafec07bab18fca3d99d03f1c6ab2be474afa73c01 SHA512 
fc33e080e2af51606a719c12f38c14ea82de7e32e22bcb273a6e104ebb8ec7fc87e502d7fc48ba70992ce61ed624b167dc95a277dc9d0330b4a7fce4b1803df2
 WHIRLPOOL 
17d31889f07036e0c031c422566921f130cccb0feffbaecf5231fd916c678a725d8490bb322bb93c57aa18793296947b1318a85dabb8a5ea461e76df6d0fbd66
+DIST blaze-0.9.1.tar.gz 10194221 SHA256 
af6070e1486333feba3f0212e1d7c48d69a073cf8805048273c7dbabd49e7ce1 SHA512 
d65c736baff8fc7db1f2cbc8eff721e899e36303de62aab980d30aeb88f443a106141fd4456a72c47ef99d628152efc7b73259b436b9b542231c199c89c23c83
 WHIRLPOOL 
839a94d41884da3400d8e43ac0c24478af4966ef56b77f3ec2fb8bbdeff344b8c98d7840a6acf034be3d1c9e6a9aa3b4e00cdee9da5293e261779e075f31654f

diff --git a/dev-python/blaze/blaze-0.9.1.ebuild 
b/dev-python/blaze/blaze-0.9.1.ebuild
new file mode 100644
index 0000000..f1d44c2
--- /dev/null
+++ b/dev-python/blaze/blaze-0.9.1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="Next generation Python numpy"
+HOMEPAGE="http://blaze.pydata.org/";
+SRC_URI="https://github.com/ContinuumIO/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# Currently doc build fails, reason now, attempt to import mystery modules in 
datashape
+# Leaving doc build content in case this is fixed
+IUSE="examples test"
+
+# pyspark appears an optional dep not in portage. pyskit appears to be dropped
+# some packages including pyparsing appear required despite their absence from 
requirements.txt
+
+RDEPEND="
+       dev-python/datashape[${PYTHON_USEDEP}]
+       >=dev-python/dynd-python-0.6.5[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.7[${PYTHON_USEDEP}]
+       dev-python/pyparsing[${PYTHON_USEDEP}]
+       dev-python/toolz[${PYTHON_USEDEP}]
+       dev-python/cytoolz[${PYTHON_USEDEP}]
+       >=dev-python/pandas-0.15.0[${PYTHON_USEDEP}]
+       dev-python/h5py[${PYTHON_USEDEP}]
+       dev-python/unicodecsv[${PYTHON_USEDEP}]
+       >=dev-python/multipledispatch-0.4.7[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       >=dev-python/flask-0.10.1[${PYTHON_USEDEP}]
+       dev-python/flask-cors[${PYTHON_USEDEP}]
+       >=dev-python/sqlalchemy-0.8.0[${PYTHON_USEDEP}]
+       >=dev-python/pytables-3.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pymongo-2.8[${PYTHON_USEDEP}]
+       dev-python/xlrd[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+       dev-python/into[${PYTHON_USEDEP}]
+       dev-python/networkx[${PYTHON_USEDEP}]
+       dev-python/numba[${PYTHON_USEDEP}]
+       dev-python/bcolz[${PYTHON_USEDEP}]
+       >=dev-python/odo-0.4[${PYTHON_USEDEP}]"
+DEPEND="
+       >=dev-python/cython-0.18[${PYTHON_USEDEP}]
+       test? (  ${RDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+               dev-python/chardet[${PYTHON_USEDEP}] )
+       "
+# It was found on testing that dev-python/chardet is required for tests
+# despite not being inlcuded in requirements.txt
+# The doc build now fails due to dep bokeh failing to emerge. Deleted.
+
+python_test() {
+       # https://github.com/ContinuumIO/blaze/issues/1117
+       # skip test requiring a server daemon
+       # Tally of known failure reduced to one under py2.7 
(test_highly_nested_repr)
+       # and 2 under py3. The failure of test_query_with_strings persists
+       # under python3 and appears to be unaddressed upstream.
+       # Changes in the suite in this version require PYTHONPATH set to ${S}
+       # to avoid spurious errors resulting from the change of path set by the 
eclass.
+
+       einfo "The test suite has 4 additional failures with package numba 
installed"
+       einfo "Upstream have been informed via /blaze/issues/1117 @ github.com/"
+       einfo "For optimum results, uninstall numba, but it counters protocol 
to exclude"
+       einfo "dev-python/numba from dependencies in the ebuild"
+
+       PYTHONPATH="${S}" py.test --ignore 
blaze/compute/tests/test_mongo_compute.py blaze \
+               || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use examples && local EXAMPLES=( blaze/examples/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to